2009-05-21  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Vivian Zhang <vivian.zhang@intel.com>

	* gnome-about-me.c (main): initialize the GThread subsystem because
	the thumbnail factory needs it (bug #583451)

2009-03-12  Bastien Nocera  <hadess@hadess.net>

	* gnome-about-me-fingerprint.c (finger_combobox_changed):
	Fix warning when selecting a finger to enroll in the combo box
	(Closes: #574974)

==================== 2.25.92 ====================

2009-02-23  Thomas H.P. Andersen  <phomes@gmail.com>

	* eel-gtk-macros.h: Replace deprecated GtkType with GType (bug #572325)

==================== 2.25.90 ====================

2009-02-01  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_focus_out): fix email addresses being
	generated by g-a-m always being saved as type "OTHER" which could
	result in addresses being mixed up (bug #570113)

2009-02-01  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_load_photo), (about_me_update_photo),
	(about_me_setup_dialog): fix compiler warnings

2009-02-01  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: define GNOME_DESKTOP_USE_UNSTABLE_API to fix
	build

==================== 2.25.3 ====================

2008-12-08  Bastien Nocera  <hadess@hadess.net>

	* gnome-about-me-fingerprint.c (enroll_result),
	(assistant_prepare):
	* gnome-about-me-fingerprint.glade: Print "Done!" as a
	status message when we're done enrolling, add support for
	enrollment stages > 1 (Closes: #562504)

2008-12-08  Bastien Nocera  <hadess@hadess.net>

	* gnome-about-me-fingerprint.c (enroll_fingerprints):
	Add title to enrollment window

==================== 2.25.2 ====================

2008-12-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: add fprintd-marshal.list to EXTRA_DIST.

2008-11-28  Bastien Nocera  <hadess@hadess.net>

	* gnome-about-me.c (create_fingerprint_button): Fix fingerprint
	buttons always being unsensitive with PolicyKit support

2008-11-27  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* fingerprint-strings.h:
	* fprintd-marshal.list:
	* gnome-about-me-fingerprint.c:
	* gnome-about-me-fingerprint.glade:
	* gnome-about-me-fingerprint.h:
	* gnome-about-me.c (create_fingerprint_button),
	(about_me_load_info), (about_me_fingerprint_button_clicked_cb),
	(about_me_setup_dialog), (main):
	* gnome-about-me.glade: Add support for enrolling fingerprints
	using the fprintd D-Bus service (Closes: #561881)

==================== 2.25.1 ====================

Fri Oct 24 19:33:12 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-about-me.c (about_me_update_photo): Unlink the .face file
	instead of calling gnome_config functions.

Fri Oct 24 19:16:46 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-about-me.c (main): Remove unused GnomeProgram variable

==================== 2.24.0.1 ====================

==================== 2.23.2 ====================

2008-05-13  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Laszlo Peter <laca@sun.com>

	* gnome-about-me.c: (get_user_login): fix build on Solaris when
	_POSIX_PTHREAD_SEMANTICS is defined (bug #532893)

2008-05-08  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Ben LeMasurier <ben.lemasurier@gmail.com>

	* e-image-chooser.c: (e_image_chooser_init), (set_image_from_data),
	(image_drag_motion_cb), (image_drag_drop_cb): fix scaling the image
	on the user photo button (bug #309629)

2008-04-25  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_load_photo), (about_me_setup_dialog):
	properly handle errors when trying to get an icon for the user

2008-04-25  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_destroy), (about_me_update_email),
	(about_me_commit), (about_me_focus_out), (about_me_setup_email),
	(about_me_load_string_field), (about_me_setup_dialog): rebuild email
	addresses completely when saving. The email fields are synthetic in
	e-d-s which means they might be reshuffled at will so we never know
	quite where the address we saved at pos 3 will end up. This should
	finally fix problems with the home address not being saved, and
	addresses being swapped or the like (bug #317835)

2008-04-21  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_commit), (about_me_focus_out),
	(about_me_set_address_field), (about_me_setup_dialog): fix a leak
	and some random cleanup

2008-04-13  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me-password.c: (passdlg_error_dialog),
	(passdlg_spawn_passwd), (passdlg_authenticate): launch the error
	dialog with the proper parent so it actually becomes possible to
	dismiss it. Also use GtkMessageDialog instead of eel, and reset the
	busy cursor when launching passwd fails.

2008-02-28  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me-password.c: (io_watch_stdout): fix misspelling of
	"palindrome" that would make us wait forever when that case occurred
	(bug #519398)

2008-02-25  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_setup_dialog):
	* gnome-about-me.glade: fix widget tab order (bug #339936)

2008-02-16  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: don't distribute the .desktop.in file

2008-02-12  Jens Granseuer  <jensgr@gmx.net>

	* e-image-chooser.c: (e_image_chooser_class_init),
	(image_drag_data_received_cb):
	* gnome-about-me.c: (about_me_update_preview): port to gio

2007-12-06  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me-password.c: (passdlg_spawn_passwd): add a translation
	hint

2007-12-06  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.glade: don't mark empty and padding strings for
	translation (bug #502087)

2007-11-24  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Matthias Clasen <mclasen@redhat.com>

	* gnome-about-me.glade: remove non-functional Help button (bug #497803)

2007-11-10  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me-password.c: (authenticated_user),
	(io_watch_stdout): don't get confused when the user does not have a
	password set and passwd immediately asks for the new one. This resulted
	in an endless loop up to now (bug #336872)

2007-11-03  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me-password.c: (io_watch_stdout): add another string to
	the list of recognized error returns from passwd ("must choose a longer
	password")

2007-08-21  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_setup_email): fix the last commit to use
	proper API to release the VCardAttributes so we don't crash with newer
	e-d-s (bug #468848)

2007-08-21  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: honour mail address attributes when setting
	up Home and Work addresses

2007-07-31  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_image_clicked_cb): use
	g_get_user_special_dir() instead of hardcoding ~/Pictures

2007-07-23  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.glade: add a tooltip to the image button to make it
	accessible

2007-06-23  Guilherme de S. Pastore  <gpastore@gnome.org>

	* gnome-about-me-password.c: fix a small typo ("wether" -> "whether")
	  in the comments.

2007-04-30  Bastien Nocera  <hadess@hadess.net>

	* gnome-about-me.c: (about_me_update_photo): Use g_file_set_contents
	instead of a single fwrite to write the ~/.face image, also set the
	default permission to be 0644, even if the umask is more permissive,
	otherwise GDM won't show the icon in the chooser (Closes: #433898)

2007-04-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-about-me.desktop.in.in: renamed Bugzilla product.

2007-04-21  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_setup_dialog): don't print a warning to
	the console if the "self" contact does not yet exist (closes bug
	#419332). Also fix a small memory leak

2007-04-08  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Kristof Vansant <de_lupus@pandora.be>

	* gnome-about-me.c: (about_me_image_clicked_cb): add image filter to
	file chooser (closes bug #424958)

2007-03-19  Jens Granseuer  <jensgr@gmx.net>

	Based on a patch by: Bastien Nocera <hadess@hadess.net>

	* Makefile.am: don't try to build about-me if it's been disabled in
	configure and make is run in the subdir (closes bug #408552)

2007-03-04  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Andreas Koehler <andi5.py@gmx.net>

	* gnome-about-me.glade: use proper shadow type for the address fields
	(fixes bug #414061)

2007-02-27  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me-password.c: (stop_passwd),
	(free_passwd_resources), (passdlg_process_response): another attempt
	at fixing bug #411697. The previous commit fell a bit short

2007-02-26  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me-password.c: (stop_passwd), (child_watch_remove),
	(free_passwd_resources): prevent the child watcher from accessing
	already released memory after the dialog has been closed (should fix
	bug #411697)

	* gnome-about-me-password.c: (gnome_about_me_password): unref dialog
	when we're done
	* gnome-about-me.c: (about_me_setup_dialog): remove redundant warning

2007-02-25  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Diego Escalante Urrelo <diego@aureal.com.pe>

	* e-image-chooser.c: (set_image_from_data): don't use a composite
	pixbuf, avoiding some unnecessary clipping (fixes bug #380315)

2007-02-25  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* gnome-about-me.c: (about_me_image_clicked_cb): change default dir for
	the image chooser to $datadir/pixmaps/faces (same as gdm) and add a
	bookmark for ~/Pictures if available (fixes bug #408305)

2007-02-11  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_focus_out): fix possible crash

2007-02-07  Jens Granseuer  <jensgr@gmx.net>

	* gnome-about-me.c: (about_me_destroy),
	(about_me_button_clicked_cb), (about_me_setup_dialog), (main): fix
	various memory leaks

2007-02-07  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* gnome-about-me-password.c: (passdlg_set_auth_state),
	(passdlg_validate_passwords):
	* gnome-about-me.c: (about_me_load_string_field),
	(about_me_setup_dialog): fix build in general, with gcc 2 in particular,
	and also get rid of a few warnings

2007-01-22  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #376079

	Patch by Francisco Javier F. Serrador  <serrador@openshine.com>

	* gnome-about-me-password.c (passdlg_spawn_passwd): make translatable
	strings more generic.

2007-01-08  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #356076

	Patch by Brian Cameron <brian.cameron@sun.com>

	* gnome-about-me.c (about_me_update_photo): fixed compilation on Solaris.

2007-01-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	Fixes #343584 (patch from Evolution)

	* e-image-chooser.c (set_image_from_data): ref the pixbuf we get to
	not lose it when we close the loader.

	* gnome-about-me.c (about_me_update_photo): ditto.
	
2006-09-15  Matt Keenan <matt.keenan@sun.com>

	Fixes #349079

	* gnome-about-me-password.c (spawn_passwd): don't use stdin, stdout
	and stderr as variable names. Fixes compilation issue on Sun Studio
	compiler.

2006-08-07  Sebastien Bacher  <seb128@debian.org>

	* gnome-about-me.c: (about_me_load_photo), (about_me_update_photo):
	  - fix build with the new libebook API (Closes: #348821)

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* gnome-about-me.desktop.in.in: don't list the Application category, 
	patch by Vincent Fretin <vincent.fretin@gmail.com> (Closes: #344321)

2006-06-11  Rodrigo Moya <rodrigo@novell.com>

	Fixes #344468

	* gnome-about-me-password.c: removed redundant headers.

2006-05-26  Sebastien Bacher  <seb128@debian.org>

	* gnome-about-me.glade: fix label alignment (Closes: #343056)

2006-05-26  Rodrigo Moya <rodrigo@novell.com>

	Fixes #324971

	* gnome-about-me-password.c (passdlg_spawn_passwd): fixed typo.

2006-01-21  Diego Gonzalez   <diego@pemas.net>

	* gnome-about-me.c (about_me_foucs_out): fix crash 317315.

2006-01-21  Diego Gonzalez   <diego@pemas.net>

	* gnome-about-me.glade: don't accept tabs in the address fields to
	  preserve the tab navigation on the dialog, as suggested by
	  Sebastien Bacher in bug 317468.

2005-11-21  Matthias Clasen  <mclasen@redhat.com>

	* gnome-about-me.c: Add a preview to the filechooser used for
	selecting an image, using a GnomeThumbnailFactory.

2005-08-16  Diego Gonzalez  <diego@pemas.net>

	* gnome-about-me.glade: revert the part of the previous patch that
	  modified the UI, as we are in UI freeze.

2005-08-15 Olaf Heiring <olh@suse.de>

	* gnome-about-me-password.c (read_everything): use integer to avoid
	  comparison being always true due to limited range.

2005-08-15 Diego Gonzalez <diego@pemas.net>

	* gnome-about-me-password.c (update_password): use "wrapped" instead
	  of "one" to handler the case where the passwd command finds the
	  password wrapped. Use a long delay period.

	Patch by Jaap Hatsima. 

2005-08-14  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* gnome-about-me-password.c (update_password): Replace "passwod is
	to simple" with "Password is too simple".
	

2005-08-07  Diego Gonzalez <diego@pemas.net>

	* gnome-about-me-password.c (update_password): fix the rest of bug
	  312092 which was caused when the old and new passwords were the 
	  same.

2005-08-06  Diego Gonzalez <diego@pemas.net>

	* gnome-about-me.c (about_me_setup_dialog): handle protocol errors
	  from EDS.
	
	This make the capplet not crash and fixes bug 312450, but the real
	problem is on EDS, not here.

2005-08-06  Diego Gonzalez <diego@pemas.net>

	* gnome-about-me-password.c (update_password): change signature and
	  handle error conditions from passwd.
	  (passdlg_process_response): adapt to changes in update_password
	  to show the error strings returned.
	
	Fixes bug 312092.

2005-08-06  Diego Gonzalez <diego@pemas.net>

	* gnome-about-me-password.c (gnome_about_me_password): avoid using
	  gtk_main and use gtk_dialog_run instead.
	  (passdlg_button_clicked_cb): rename to passdlg_process_response
	  (spawn_passwd): return a value, so that we can see if we need to
	  exit without using gtk_main_quit
	  (wait_child) avoid use of gtk_main_quit. More work is required on
	  this case, but for now it will be enough.

	Fixes bugs 312580 and 309736.	  	

2005-07-16  Diego Gonzaler <diego@pemas.net>

	* gnome-about-me.c (about_me_image_clicked_cb): change the order
	  of the buttons to match the HIG.

	  Patch by Denis Cranston. Fixes bug 309632.

2005-07-12  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-about-me-password.c (passdlg_check_password_timeout_cb):
	  Set a default message. Use g_strconcat() instead of g_strdup()
	  and mark strings for translation; (gnome_about_me_password):
	  Set the window icon.

	* gnome-about-me.glade:  Rearrange the change password dialog.
	  Relabel the ok button to 'Change Password'.

	Closes bug 310307

2005-07-16  Diego Gonzalez  <diego@pemas.net>

        * Makefile.am: Don't build e-util-marshal, as we can use
          the glib marshallers.
        * e-image-chooser.c: (e_image_chooser_class_init): Use standard
          glib marshallers.
        * gnome-about-me.c: (about_me_focus_out),
          (about_me_get_address_field), (about_me_setup_dialog): Add some
          error checking.

        Patch by James Bowes.

2005-07-13  Sebastien Bacher  <seb128@debian.org>

	* .cvsignore: new file.

2005-07-13  Diego Gonzalez  <diego@pemas.net>

	* gnome-about-me.c (about_me_update_photo): change the maxium width
	  and height permitted on an image, in the hope that it mitigates
	  the problem reported in bug 309643.

2005-07-13  Diego Gonzalez  <diego@pemas.net>

	* e-image-chooser.c (image_drag_data_received_cb): fix image loading
	  when draging an image on the image button, it was getting hanged.
	  (e_image_chooser_init): fix the positioning of the image on the button, 
	  still not perfect but a bit better.
	  
	  Also included in this patch are several cleanups to the code.

	  Fixes bug 309628 and partially bugs 309629 and 309387

	* gnome-about-me.c (about_me_setup_dialog): connect to the changed
	  signal on the image-chooser, so that we are notified when the
	  user changes the image using DnD.
	  (about_me_image_changed_cb): new function, it is called whenever 
	  the user changes the image using D&D.

	  Mark two strings for translation.
	  
2005-07-13  Diego Gonzalez  <diego@pemas.net>

	* gnome-about-me.c (about_me_button_clicked_cb): if 
	  the saving timeout has not yet expired and we click 
	  exit then commit the changes so that we don't loose 
	  any data.

	  Fixes bug 309737.

2005-07-12  Diego Gonzalez  <diego@pemas.net>

	* gnome-about-me.png: this file is no longer used.

2005-07-11  Diego Gonzalez  <diego@pemas.net>

	* e-image-chooser.c: remove gdk_pixbuf_unref calls which are
	  deprecated and use g_object_unref instead

2005-07-11  Diego Gonzalez  <diego@pemas.net>

	* gnome-about-me-password.c: fix some string errors

	  Fixes bug 309951 and bug 309950
2005-07-10  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-about-me.glade:  HIG fixes; fix widget padding,
	use sentence capitalization for text field labels, fix 
	mnemonic conflics, and remove mnemonics from tab labels.

	Also fixes bug 309952
	
2005-07-08  Sebastien Bacher  <seb128@debian.org>

	* gnome-about-me.desktop.in: this file is not useful on the CVS.

2005-07-07  Sebastien Bacher  <seb128@debian.org>

	* gnome-about-me-password.c: (wait_child):
	fixed some typo, Clytie Siddall <clytie@riverland.net.au> 
	(Closes: #302614).

2005-07-05  Diego Gonzalez  <diego@pemas.net>

	* gnome-about-me.c (about_me_update_photo): Improve the behaviour 
	  of the capplet when using large images (scale the image down to 
	  a resonable size before storing it in EDS).
	* e-image-chooser.c: remove debug output

2005-07-05  Diego Gonzalez  <diego@pemas.net>

	Patch by Jaap A. Haitsma <jaap@haitsma.org>

	* gnome-about-me.c: Remove use of bonobo, we don't need it.
	* gnome-about-me.c: Reorder some of the code and simplify file
	  chooser, also avoid having more than on instance of the 
	  file chooser dialog opened.
	* gnome-about-me.glade: remove some garbage that was left
	* gnome-about-me.desktop.in.in: set the correct bugzilla component
	  and icon.
	* Makefile.am: fix so that the custom dialog works in glade
	  (bug 309353)
	* Set dialog icon (bug 309342)

2005-07-05  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: fix the list of desktop files for the tarball.
	* gnome-about-me.desktop.in.in: fix the component.

2005-07-05  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: clean the desktop file.

2005-07-05  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: fix the list of source files.

2005-06-23  Diego Gonzalez <diego@pemas.net>

	* gnome-about-me-password.c (gnome_about_me_password):
	  Fix another crasher

2005-06-22  Diego Gonzalez <diego@pemas.net>

	* Makefile.am: remove cracklib
	* gnome-about-me-password.c (passdlg_check_password_timeout_cb): 
	  remove dependencies on cracklib
	* cracklib/*: remove it

2005-06-21  Diego Gonzalez <diego@pemas.net>

	* gnome-about-me.c: Improve some error messages
	  about_me_error: new function
	* (about_me_load_info): Avoid crashing when switching to the Address tab
	* (about_me_commit): generate a good file_as field, code taken from evolution

2005-06-15  Diego Gonzalez <diego@pemas.net>

	* gnome-about-me.glade: Change the look of the "change Password"
	  dialog.
	* gnome-about-me-password.c: Change completely the inner workings
	  and add a way to meausure the quality of the password.
	* cracklib/*: code from cracklib2 to check the quality of the
	  password.

	Several other changes...

2005-05-16  Olav Vitters <olav@bkor.dhs.org>

	* gnome-about-me.glade: Remove garbage text. Patch by Benjamin
	LeMasurier. Fixes bug #162492.

2005-04-01  Diego Gonzalez <diego@pemas.net>

	* gnome-about-me.c: fix the case where the self uid is wrong
	  and the edition when the self contact is created for the
	  first time.
	  
2005-03-29  Diego Gonzalez <diego@pemas.net>

	* Makefile.am: fix tabs

2005-02-09  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: build e-util-marshal.c.

2004-12-23  Sebastien Bacher  <seb128@debian.org>

	* gnome-about-me.glade: fixed a typo (Closes: #162094).
